API Docs
YMS API
Location/Level 1
GET Get Location by ID

GET Get Location by ID

Introduction

Retrieves detailed information for a specific location by its unique identifier. This endpoint returns comprehensive location data including type, status, activities, customer/carrier assignments, current occupancy details, and operational settings. Used by operations staff to view location details, by appointment systems to verify location availability, and by real-time dashboards to display current location status and equipment positioning.

API Request

GET /location/{locationId}

Request Parameters

NameLocationTypeRequiredDescription
locationIdpathstringYesnone
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "locationId": "",
    "locationName": "",
    "locationType": "",
    "locationStatus": "",
    "assignedScore": 0,
    "enabled": false,
    "yardActivity": "",
    "dockActivity": "",
    "locationActivities": [
      ""
    ],
    "loadTaskType": "",
    "carrierIds": [
      ""
    ],
    "carrierNames": [
      ""
    ],
    "customerIds": [
      ""
    ],
    "customerNames": [
      ""
    ],
    "stagingLocationIds": [
      ""
    ],
    "stagingLocationNames": [
      ""
    ],
    "allowedTypes": [
      ""
    ],
    "companyCode": "",
    "activeTimeFrom": "",
    "activeTimeTo": "",
    "notes": "",
    "locationPhoto": "",
    "currentCarrierId": "",
    "currentTaskType": "",
    "currentDriverId": "",
    "currentEntryId": "",
    "arrivalTime": "",
    "zoneTag": "",
    "groupName": "",
    "createdTime": "",
    "updatedTime": "",
    "currentDriveName": "",
    "currentCarrierName": "",
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "fieldName": "",
        "longValue": "",
        "shortValue": ""
      }
    ],
    "displayName": "",
    "iotResult": {
      "spo_id": "",
      "s3_image_url": "",
      "recognize_result": "",
      "recognize_item": {
        "src_x": 0,
        "src_y": 0,
        "dst_x": 0,
        "dst_y": 0,
        "class_id": 0,
        "class_name": "",
        "score": 0
      },
      "imageUrl": "",
      "area": "",
      "dockEvent": {
        "id": "",
        "name": "",
        "type": "",
        "status": "",
        "dockStatus": "",
        "spaceStatus": "",
        "entryId": "",
        "category": "",
        "equipmentNo": [
          ""
        ],
        "createdWhen": "",
        "updatedWhen": ""
      }
    },
    "linkedLocations": [
      {
        "locationId": "",
        "locationType": "",
        "linkId": "",
        "linkName": "",
        "linkType": "",
        "locationStatus": ""
      }
    ],
    "sequenceNo": 0,
    "deleted": false,
    "windowConfigs": [
      {
        "id": 0,
        "locationId": "",
        "windowId": 0,
        "windowStartTime": "",
        "windowEndTime": "",
        "locationActivity": [
          ""
        ],
        "carrierIds": [
          ""
        ],
        "customerIds": [
          ""
        ],
        "carrierNames": [
          ""
        ],
        "customerNames": [
          ""
        ]
      }
    ],
    "currentWindowLocationActivities": [
      ""
    ],
    "currentWindowCustomerIds": [
      ""
    ],
    "currentWindowCustomerNames": [
      ""
    ],
    "currentWindowCarrierIds": [
      ""
    ],
    "currentWindowCarrierNames": [
      ""
    ]
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRLocationView